# plateau-adaptive

![small preview](previews/mosaic-logo.png)

This is a skeuomorphic GTK3 theme that follows your KDE Plasma color scheme, the same way that Breeze GTK theme adapts to it. So if you want to change its colors, you only need to change KDE Plasma's color scheme, nothing else. It is an evolution of [pho-earth-adaptive](https://git.disroot.org/eudaimon/pho-earth-adaptive). It looks a bit more like traditional Adwaita. In its default colors, it is lighter (though still a dark theme).

This theme is a modification of my [Pho-Earth-by-night](https://www.pling.com/p/1459383/), changing color names to match breeze's and some other improvements. At the same time, it is based on the wonderful pho series by GUILMOUR, such as Pho-Myrtus [here](https://www.pling.com/s/Gnome/p/1240355/). It has currently departed very far away from that theme.

This plateau-adaptive includes some predefined color schemes (that will work for GTK3 and 4, and are independent from Plasma themes). They're in the color_themes directory. By default, dark plateau theme is enabled. To enable another theme, go to the directory where the theme is installed (typically: `~/.themes` or `~/.local/share/themes`) and execute the script `change_theme.sh`. This script will tell you which themes are available and let you chose one. This means that you can change this theme's colors regardless of current Plasma scheme (if there is one).

**By default, this theme will not try to follow current Plasma color scheme**. I had to do this so I could make Plasma theme work both for GTK3 and GTK4. To force this theme to honor current Plasma color scheme, you have to execute the script `toggle_plasma.sh`, following previous instructions too. You can also create new themes, it's quite easy: just copy one theme's file to another name and edit it: you just need to know how to define colors in RGB hexadecimal values, but any online color picker will help you with that.

Sadly, GTK2 can't follow plasma KDE color scheme because the trick used by Plasma KDE for GTK3 is with the file ~/.config/colors.css, but this only affects GTK3 theme, not GTK2 or GTK4. Currently GTK2 uses dark-plateau's GTK2 fixed colors.

GTK4 version is still under construction. It will probably look good enough most times, but there are things to be fixed (still a lot of warnings and errors, for example). Please comment if there's anything to be fixed other than said errors and warnings. I'm still learning about it by myself, by trial and error (is there any documentation that explains most if not all the changes from GTK3? Please tell me in the comments, too).

The first 3 previews show current style. Other previews show an older style, but I've kept them so you can see how this adaptation to Plasma's color schemes works.

There is a matching xfwm4 theme too, which will adapt to current colors.

Enjoy!

(some keywords to help finding this theme: non-flat, 3D, 3-D, adaptive, adapts, multiple colors, multicolor, shadows, highlights)

## Big previews:

Current style:

![big preview with current style](previews/plateau-gtk3wf-1.png)
![big preview with current style, dark version](previews/plateau-gtk3wf-2.png)
![big preview with current style, oxygen color scheme](previews/plateau-gtk3wf-3.png)

Old previews, but with different Plasma color schemes:

![old preview](previews/GTK3WF-1-KvDarkRed.png)
![old preview](previews/GTK3WF-2-OpenSuse-darkened.png)
![old preview](previews/GTK3WF-3-Earthen2.png)
![old preview](previews/mosaic-GTK3WF-3-KvCyan.png)
![old preview](previews/mosaic-GTK3WF-2-Grass.png)
